<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iActionRewardFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iActionRewardFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iActionRewardFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the reward that sends an action to some entity or entity class property class with an optional tag.  
 <a href="structiActionRewardFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rewards_8h_source.html">tools/rewards.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iActionRewardFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiActionRewardFactory.png" usemap="#iActionRewardFactory_map" alt=""/>
  <map id="iActionRewardFactory_map" name="iActionRewardFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,138,24"/>
</map>
 </div></div>

<p><a href="structiActionRewardFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiActionRewardFactory.html#a7af1ff9cf8adc637aee2cd471fcc5332">AddParameter</a> (celDataType type, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> id, const char *name, const char *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a parameter to send with the action.  <a href="#a7af1ff9cf8adc637aee2cd471fcc5332"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiActionRewardFactory.html#abbebd7af0dbf6e847a202e09b3156818">SetClassParameter</a> (const char *ent_class)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity class on which this reward will work.  <a href="#abbebd7af0dbf6e847a202e09b3156818"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiActionRewardFactory.html#ae3e854b2479a0052d84d1bfd15eee514">SetEntityParameter</a> (const char *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity.  <a href="#ae3e854b2479a0052d84d1bfd15eee514"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiActionRewardFactory.html#af1752bb2feff25e5e1f95f555fb2216d">SetIDParameter</a> (const char *id)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the action name.  <a href="#af1752bb2feff25e5e1f95f555fb2216d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiActionRewardFactory.html#a4d54d8849e160fd3251a0a71f3217c16">SetPropertyClassParameter</a> (const char *propertyclass)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the property class.  <a href="#a4d54d8849e160fd3251a0a71f3217c16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiActionRewardFactory.html#accd7865ec98f82799e3fb93996afb47d">SetTagParameter</a> (const char *tag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the tag for the propertyclass.  <a href="#accd7865ec98f82799e3fb93996afb47d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the reward that sends an action to some entity or entity class property class with an optional tag. </p>
<p>You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this reward type is 'cel.rewards.action'.</p>
<p>In XML, factories recognize the following attributes on the 'op' node:</p>
<ul>
<li><em>entity</em>: the name of the entity to send the action to.</li>
<li><em>class</em>: the name of an entity class. If this is used instead of the entity parameter, the reward will apply to all entities in the given entity class.</li>
<li><em>id</em>: name of the action to activate.</li>
<li><em>pc</em>: the name of the property class to send the action to.</li>
<li><em>tag</em>: the tag of the property class to send the action to. </li>
</ul>

<p>Definition at line <a class="el" href="rewards_8h_source.html#l00115">115</a> of file <a class="el" href="rewards_8h_source.html">rewards.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7af1ff9cf8adc637aee2cd471fcc5332"></a><!-- doxytag: member="iActionRewardFactory::AddParameter" ref="a7af1ff9cf8adc637aee2cd471fcc5332" args="(celDataType type, csStringID id, const char *name, const char *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiActionRewardFactory.html#a7af1ff9cf8adc637aee2cd471fcc5332">iActionRewardFactory::AddParameter</a> </td>
          <td>(</td>
          <td class="paramtype">celDataType&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a parameter to send with the action. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>is one of CEL_DATA_STRING, CEL_DATA_FLOAT, CEL_DATA_LONG, CEL_DATA_BOOL, or CEL_DATA_VECTOR3. </td></tr>
    <tr><td class="paramname">id</td><td>is the id of the parameter (calculated from iCelPlLayer-&gt;FetchStringID(name)). </td></tr>
    <tr><td class="paramname">name</td><td>is the name of the parameter. </td></tr>
    <tr><td class="paramname">value</td><td>is the value string or a parameter for it (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abbebd7af0dbf6e847a202e09b3156818"></a><!-- doxytag: member="iActionRewardFactory::SetClassParameter" ref="abbebd7af0dbf6e847a202e09b3156818" args="(const char *ent_class)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiActionRewardFactory.html#abbebd7af0dbf6e847a202e09b3156818">iActionRewardFactory::SetClassParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>ent_class</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity class on which this reward will work. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ent_class</td><td>is the name of the class or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae3e854b2479a0052d84d1bfd15eee514"></a><!-- doxytag: member="iActionRewardFactory::SetEntityParameter" ref="ae3e854b2479a0052d84d1bfd15eee514" args="(const char *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiActionRewardFactory.html#ae3e854b2479a0052d84d1bfd15eee514">iActionRewardFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af1752bb2feff25e5e1f95f555fb2216d"></a><!-- doxytag: member="iActionRewardFactory::SetIDParameter" ref="af1752bb2feff25e5e1f95f555fb2216d" args="(const char *id)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiActionRewardFactory.html#af1752bb2feff25e5e1f95f555fb2216d">iActionRewardFactory::SetIDParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the action name. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>is the action name or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4d54d8849e160fd3251a0a71f3217c16"></a><!-- doxytag: member="iActionRewardFactory::SetPropertyClassParameter" ref="a4d54d8849e160fd3251a0a71f3217c16" args="(const char *propertyclass)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiActionRewardFactory.html#a4d54d8849e160fd3251a0a71f3217c16">iActionRewardFactory::SetPropertyClassParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>propertyclass</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the property class. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">propertyclass</td><td>is the name of the propertyclass or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="accd7865ec98f82799e3fb93996afb47d"></a><!-- doxytag: member="iActionRewardFactory::SetTagParameter" ref="accd7865ec98f82799e3fb93996afb47d" args="(const char *tag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiActionRewardFactory.html#accd7865ec98f82799e3fb93996afb47d">iActionRewardFactory::SetTagParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the tag for the propertyclass. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>is the tag for the propertyclass or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="rewards_8h_source.html">rewards.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
